Flux 3 Action
ပေါင်းစည်းရန်
flux-3-action/so101
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/flux-3-action/so101?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"scene_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"wrist_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"state": [
-18.94,
134.52,
120.15,
28.3,
-32.17,
27.02
]
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://vit.doitong.com/api/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/flux-3-action/so101?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"scene_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"wrist_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"state": [
-18.94,
134.52,
120.15,
28.3,
-32.17,
27.02
]
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://vit.doitong.com/api/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"scene_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"wrist_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"state": [
-18.94,
134.52,
120.15,
28.3,
-32.17,
27.02,
],
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/flux-3-action/so101", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/my/developers/docs/mcp)
claude mcp add --transport http doitong-models https://vit.doitong.com/api/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "flux-3-action/so101",
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"scene_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"wrist_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"state": [
-18.94,
134.52,
120.15,
28.3,
-32.17,
27.02
]
}
}
Doitong API မှတစ်ဆင့် Flux 3 Action မော်ဒယ် (flux-3-action/so101) ကို ခေါ်ယူပါ။ အေးဂျင့်များအတွက် စာရွက်စာတမ်းများ: https://doitong.com/my/developers/models/flux-3-action/so101.md
POST https://vit.doitong.com/api/v1/run/flux-3-action/so101?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"scene_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"wrist_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"state": [
-18.94,
134.52,
120.15,
28.3,
-32.17,
27.02
]
}
Response status သည် "queued" သို့မဟုတ် "running" ဖြစ်ပါက "succeeded" ဖြစ်သည်အထိ GET https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20 ဖြင့် poll လုပ်ပါ။ ဖိုင်များသည် outputs[].url တွင် ရှိသည်။ လုပ်ဆောင်မီ အတိအကျစျေးနှုန်းရရန် တူညီသော body ဖြင့် POST https://vit.doitong.com/api/v1/quote/flux-3-action/so101 ကို အသုံးပြုပါ။
ဤတောင်းဆိုချက်: ≈၀.၀၀၃ $ ၃ API ခရက်ဒစ် ဤစာမျက်နှာတွင် လုပ်ဆောင်ရန်
သင့် API ကီးအသစ်။ ၎င်းကို ယခုတစ်ကြိမ်သာ ပြသထားပြီး ကုဒ်ထဲနှင့် အောက်ပါ API ကီး အကွက်ထဲတွင် ထည့်သွင်းပြီးဖြစ်သည်။ လျှို့ဝှက်ထားပါ—ဘရောက်ဇာတွင် လုပ်ဆောင်သည့် ကုဒ်ထဲသို့ မည်သည့်အခါမျှ မထည့်ပါနှင့်။
သင့်ပထမဆုံးရလဒ် ဤနေရာတွင် ပေါ်လာမည်
အောက်တွင် တောင်းဆိုချက်တစ်ခု တည်ဆောက်ပြီး သင့် API ကီးဖြင့် လုပ်ဆောင်ပါ။ ထွက်ရလဒ်များကို ကျွန်ုပ်တို့၏ သိုလှောင်မှုသို့ ကူးယူပြီး အမြဲတမ်း သို့မဟုတ် ၇ ရက် အခမဲ့ သိမ်းထားသည်။
တောင်းဆိုမှုတစ်ခု တည်ဆောက်ရန်
ထိန်းချုပ်မှုများကို မော်ဒယ် schema မှ အလိုအလျောက်ဖန်တီးသည်။ ၎င်းတို့ကို ပြောင်းလဲသည်နှင့် code နှင့် စျေးနှုန်းတို့လည်း ပြောင်းလဲမည်။
/run/flux-3-action/so101?wait=20
ကုန်ကျစရိတ် → ၀.၀၀၃ $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/flux-3-action/so101?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"scene_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"wrist_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"state": [
-18.94,
134.52,
120.15,
28.3,
-32.17,
27.02
]
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://vit.doitong.com/api/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/flux-3-action/so101?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"scene_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"wrist_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"state": [
-18.94,
134.52,
120.15,
28.3,
-32.17,
27.02
]
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://vit.doitong.com/api/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"scene_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"wrist_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"state": [
-18.94,
134.52,
120.15,
28.3,
-32.17,
27.02,
],
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/flux-3-action/so101", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "flux-3-action/so101",
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"scene_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"wrist_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"state": [
-18.94,
134.52,
120.15,
28.3,
-32.17,
27.02
]
},
"wait_seconds": 20
}
}
}
ဤတောင်းဆိုချက်ကို လုပ်ဆောင်ရန်
သင့် key သည် ဤဘရောက်ဇာထဲတွင်သာ ရှိမည်ဖြစ်ပြီး Doitong API သို့သာ ပို့မည်။ Remember ကို အမှန်ခြစ်ထားမှသာ (localStorage) တွင် သိမ်းမည်။ API ကီး ရယူရန်
Flux 3 Action အကြောင်း
မီဒီယာအစား ခန့်မှန်းထားသော `actions`၊ ၎င်းတို့၏ ထိန်းချုပ်နှုန်း၊ ကော်လံအညွှန်းများနှင့် အပိုင်းအသစ်မတောင်းမီ လုပ်ဆောင်ရမည့် ရှေ့ဆုံးအဆင့်အရေအတွက် (`execute_steps`) ပါဝင်သော JSON ကို ပြန်ပေးသည်။ လိုအပ်သော ထည့်သွင်းချက်များမှာ စာသား `prompt` (အများဆုံး စာလုံး 2000)၊ `scene_image_url`၊ `wrist_image_url` နှင့် တန်ဖိုး 6 ခုပါ `state` ဖြစ်သည်။ ရွေးချယ်နိုင်သော မှတ်တမ်းထည့်သွင်းချက်များ (`state_history`၊ `command_history`၊ မှတ်တမ်းပုံများ) သည် အချိန်အလိုက် အကြောင်းအရာကို ပေးသည်။ `num_inference_steps` သည် 1 မှ 8 အထိ လုပ်ဆောင်ပြီး `guidance_scale` သည် 1 မှ 10 ဖြစ်သည်။
ပါရာမီတာများ
promptလိုအပ်သည်
scene_image_urlလိုအပ်သည်
wrist_image_urlလိုအပ်သည်
stateလိုအပ်သည်
state_historyရွေးချယ်နိုင်သည်
command_historyရွေးချယ်နိုင်သည်
history_scene_image_urlရွေးချယ်နိုင်သည်
history_wrist_image_urlရွေးချယ်နိုင်သည်
num_inference_stepsရွေးချယ်နိုင်သည်
guidance_scaleရွေးချယ်နိုင်သည်
seedရွေးချယ်နိုင်သည်
ဖိုင်ပါရာမီတာများသည် အများပြည်သူသုံး https:// URL၊ 10 MB အထိ data: URI သို့မဟုတ် အပ်လုဒ်လုပ်ထားသောဖိုင်၏ file_url ကို လက်ခံသည်။ ဖိုင်များ
ထွက်ရလဒ်
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "flux-3-action/so101",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 3,
"usd": "0.003",
"charged": 3,
"refunded": 0
},
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"scene_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"wrist_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"state": [
-18.94,
134.52,
120.15,
28.3,
-32.17,
27.02
]
},
"output": {
"actions": [
[
1.0
]
],
"action_labels": [
"string"
],
"action_hz": 1.0,
"execute_steps": 1,
"seed": 42,
"timings": {}
},
"outputs": [
{
"type": "file",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
ထွက်ရလဒ်၏ Fields များ
- actions
- array of array of numberထိန်းချုပ်မှုအဆင့်များကို အချိန်အစဉ်လိုက်အတန်းများဖြင့် ကိုယ်စားပြုသည့် ခန့်မှန်းလုပ်ဆောင်ချက် array။ တန်ဖိုးများကို ကန့်သတ်မထားသောကြောင့် စက်ရုပ်တွင် joint၊ velocity နှင့် workspace ကန့်သတ်ချက်များကို အတည်ပြုရမည်။ 30 Hz တွင် SO-101 သည် deg နှင့် gripper % ဖြင့် 42x6 absolute command များကို ပေးပြီး 15 Hz တွင် DROID သည် rad ဖြင့် 32x8 absolute joint target များနှင့် gripper ပိတ်ထားမှုအပိုင်းကို ပေးသည်။
- action_labels
- array of stringလုပ်ဆောင်ချက်ကော်လံများနှင့် သက်ဆိုင်သော အမည်များ။
- action_hz
- numberလုပ်ဆောင်ချက်အတန်းများအတွက် ထိန်းချုပ်မှုကြိမ်နှုန်း။
- execute_steps
- integerနောက်ထပ်အပိုင်းတစ်ခု မတောင်းဆိုမီ လုပ်ဆောင်မည့် အစပိုင်းလုပ်ဆောင်ချက်အရေအတွက်။
- seed
- integersampling လုပ်စဉ် အသုံးပြုသည့် ကျပန်း seed။
- timings
- objectဆာဗာမှ တိုင်းတာထားသော အချိန်အချက်အလက်များကို စက္ကန့်ဖြင့် ဖော်ပြသည်။
နောက်ထပ် မော်ဒယ်များ: ဗီဒီယိုမှ ဗီဒီယို
AI အေးဂျင့်များအတွက်- ဤစာမျက်နှာ၏ Markdown ကို ဤနေရာတွင် ရရှိနိုင်သည် https://doitong.com/my/developers/models/flux-3-action/so101.md. မော်ဒယ်များနှင့် လမ်းညွှန်များအားလုံး: https://doitong.com/developers/llms.txt